cdac.medinfo.ccd.datatype

## Class II

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.II

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    InfrastructureRootTypeId

      public class II
      extends ANY

  An identifier that uniquely identifies a thing or object. Examples are object identifier for HL7 RIM objects, medical record number, order id, service catalog item id, Vehicle Identification Number (VIN), etc. Instance identifiers are defined based on ISO object identifiers.

  Java class for II complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="II">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ANY">
             <attribute name="root" type="{urn:hl7-org:v3}uid" />
             <attribute name="extension" type="{urn:hl7-org:v3}st" />
             <attribute name="assigningAuthorityName" type="{urn:hl7-org:v3}st" />
             <attribute name="displayable" type="{urn:hl7-org:v3}bl" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `II()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAssigningAuthorityName()` Gets the value of the assigningAuthorityName property.
    `java.lang.String` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getRoot()` Gets the value of the root property.
    `java.lang.Boolean` | `isDisplayable()` Gets the value of the displayable property.
    `void` | `setAssigningAuthorityName(java.lang.String value)` Sets the value of the assigningAuthorityName property.
    `void` | `setDisplayable(java.lang.Boolean value)` Sets the value of the displayable property.
    `void` | `setExtension(java.lang.String value)` Sets the value of the extension property.
    `void` | `setRoot(java.lang.String value)` Sets the value of the root property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### II

          public II()

  - ### Method Detail

    - #### getRoot

          public java.lang.String getRoot()

      Gets the value of the root property.
      Returns:
        possible object is `String`

    - #### setRoot

          public void setRoot(java.lang.String value)

      Sets the value of the root property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExtension

          public java.lang.String getExtension()

      Gets the value of the extension property.
      Returns:
        possible object is `String`

    - #### setExtension

          public void setExtension(java.lang.String value)

      Sets the value of the extension property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAssigningAuthorityName

          public java.lang.String getAssigningAuthorityName()

      Gets the value of the assigningAuthorityName property.
      Returns:
        possible object is `String`

    - #### setAssigningAuthorityName

          public void setAssigningAuthorityName(java.lang.String value)

      Sets the value of the assigningAuthorityName property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDisplayable

          public java.lang.Boolean isDisplayable()

      Gets the value of the displayable property.
      Returns:
        possible object is `Boolean`

    - #### setDisplayable

          public void setDisplayable(java.lang.Boolean value)

      Sets the value of the displayable property.
      Parameters:
        `value` - allowed object is `Boolean`